<template>
	<view class="bg">
        <view class="Articletitle">
            {{ info.title }}
        </view>
        <view class="vHtml">
            <u-parse class="vHtml" :content="info.content"></u-parse>
        </view>
    </view>
</template>

<script>
import {
  notifiesDetails
} from '@/http/api/common.js'

export default {

data() {
    return {
        info:null
    }
},
onLoad(e) {
    if (e.id) {
        this.getnotifiesDetails(e.id)
    }
},

methods: {
    async getnotifiesDetails(id){
        let res = await notifiesDetails(id)
        if (res.data.code == 200) {
            this.info = res.data.data
        }
    },
			


}
}
</script>

<style lang="scss">
.bg{
     width: 750rpx;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-left: 20rpx;
}
.Articletitle{
    width: 710rpx;
    height: 112rpx;
    font-size: 40rpx;
    font-family: PingFang SC, PingFang SC;
    font-weight: bold;
    color: #333333;
    /* line-height: 56rpx; */
    display: flex;
    align-items: center;

    // display: -webkit-box;
    word-break: break-all;
    text-overflow: ellipsis;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp:2;

}
.vHtml{
    width: 710rpx;
}
.vHtml img {
    vertical-align: middle;
    border-style: none;
    width: 100%;
    height: auto;
}
.vHtml p {
    margin-top: 30rpx;
    margin-bottom: 30rpx;
}
</style>
